OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGI.TextureColorTable

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetSGITextureColorTable :: MonadIO m => m Bool
- gl_SGI_texture_color_table :: Bool
- gl_PROXY_TEXTURE_COLOR_TABLE_SGI :: GLenum
- gl_TEXTURE_COLOR_TABLE_SGI :: GLenum

# Extension Support

glGetSGITextureColorTable :: MonadIO m => m Bool

Is the SGI_texture_color_table extension supported?

gl_SGI_texture_color_table :: Bool

Is the SGI_texture_color_table extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGITextureColorTable` in those cases instead.

# Enums

gl_PROXY_TEXTURE_COLOR_TABLE_SGI :: GLenum

gl_TEXTURE_COLOR_TABLE_SGI :: GLenum